Subject: Re: [PATCH v7 0/3] Introduce git-last-modified(1) command

From: Toon Claes <[email-masked]>
Date: Tue, 05 Aug 2025 18:55:14 +0200

Junio C Hamano <[email-masked]> writes:

> I am happy with the updates, but am wondering if documentation
> update along the lines of attached patch is also needed.

Ah (annoyed grunt), I should have added backticks. Yes. I missed those,
sorry about that.

> I am not sure about the last two, i.e. things that are not dash+option
> appearing as enumeration labels, though (and Cc'ing Jean-Noël to ask
> for help).

Well, this gave me a nice opportunity to test Jean-Noël proposed docs
linter[1].

    $ make check-docs
    [snip
    git-last-modified.adoc:25: '-r::' synopsis style and definition list item not backquoted
    git-last-modified.adoc:26: '--recursive::' synopsis style and definition list item not backquoted
    git-last-modified.adoc:30: '-t::' synopsis style and definition list item not backquoted
    git-last-modified.adoc:31: '--show-trees::' synopsis style and definition list item not backquoted

It seems only dashed options should be backquoted.

[1]: https://lore.kernel.org/git/[email-masked]/

-- 
Cheers,
Toon